# Class: AuditingClient

## AuditingClient

## Constructor

#### new AuditingClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/auditing'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/auditing.js, line 7

### Methods

#### createAudit(opts, callback)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options.

###### Properties

Name | Type | Description
--- | --- | ---
`audit` |  | See https://docs.atlassian.com/jira/REST/latest/#d2e2557

`callback` |  | Called when the audit is created.

Source:
  - api/auditing.js, line 52

#### getAudits(opts, callback)

Returns auditing records filtered using provided parameters

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The filtering options for retrieving audits.

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`offset` |  | <optional> | The number of record from which search starts
`limit` |  | <optional> | Maximum number of returned results (if is limit is <= 0 or > 1000, it will be set do default value: 1000)
`filter` |  | <optional> | Text query; each record that will be returned must contain the provided text in one of its fields
`from` |  | <optional> | Timestamp in past; 'from' must be less or equal 'to', otherwise the result set will be empty only records that where created in the same moment or after the 'from' timestamp will be provided in response
`to` |  | <optional> | Timestamp in past; 'from' must be less or equal 'to', otherwise the result set will be empty only records that where created in the same moment or earlier than the 'to' timestamp will be provided in response

`callback` |  | Called when the audits are retrieved.

Source:
  - api/auditing.js, line 15